How to install torch_sparse package for the orin or on the jetson platform?

Recently, I try to run my program on orin, but there is ModuleNotError "No modele named ‘torch_sparse’ ".
Firstly, I type “pip install torch_sparse” in the terminal, but there is an error which tells “subprocess-exited-with-error && python setup.py bdist_wheel did not run successfully.” At the end of printed message, it says “failed building wheel for torch_sparse”.

Secondly, I attempt to search solutions in the web. However, I can only find the wheel for windows, that is “…win_amd64.whl” or for Linux_x86, that is “linux_x86_64.whl”. It does not function. When I type “pip install torch_sparse-0.6.14-cp310-cp310-linux_x86_64.whl”,there is an error"…is not a supported wheel on the platform".

Could anyone help me?

Hi,

Please find the PyTorch installation guide for Orin below:

Thanks.

Thanks for your reply. I have installed pytorch and torchvision in the orin,just follow the website you give, but later torch_sparse package is not able to be installed any more.

Hi,

Did you build torch_sparse from the source?
Could you share the error you met?

Thanks.

I didn’t find the right version of .whl files from Internet. There is no available version for aarch64, like the following page: https://pytorch-geometric.com/whl/. Luckily, I successfully install it using the pip conmand, which didn’t function before today, and now I don’t know how to explain this.

Hi,

The Jetson package is on our official website.
Do you download it from https://developer.download.nvidia.cn/compute/redist/jp/v50/pytorch/?

Thanks.

Thanks, but I mean “torch_sparse” instead of “torch”.

Hi,

Does the torch_sparse from pip3 work well on Orin?
Thanks.

This topic was automatically closed 14 days after the last reply. New replies are no longer allowed.